> ## Documentation Index
> Fetch the complete documentation index at: https://fdocs.info/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Extra Profile Data

> - Get extra profile data sections by LinkedIn Sales Navigator URN (vmid). 

- Credit cost: 1 credit per section included. 

**Examples:** 

- `include_certifications` only → **1 credit** 

- `include_certifications` + `include_organizations` → **2 credits** 

- `include_certifications` + `include_organizations` + `include_patents` → **3 credits** 

- `include_certifications` + `include_organizations` + `include_patents` + `include_projects` → **4 credits** 

- `include_certifications` + `include_organizations` + `include_patents` + `include_projects` + `include_volunteers` → **5 credits**



## OpenAPI

````yaml GET /get-extra-profile-data
openapi: 3.0.1
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://web-scraping-api2.p.rapidapi.com
security:
  - ApiKeyAuth: []
paths:
  /get-extra-profile-data:
    get:
      description: >-
        - Get extra profile data sections by LinkedIn Sales Navigator URN
        (vmid). 


        - Credit cost: 1 credit per section included. 


        **Examples:** 


        - `include_certifications` only → **1 credit** 


        - `include_certifications` + `include_organizations` → **2 credits** 


        - `include_certifications` + `include_organizations` + `include_patents`
        → **3 credits** 


        - `include_certifications` + `include_organizations` + `include_patents`
        + `include_projects` → **4 credits** 


        - `include_certifications` + `include_organizations` + `include_patents`
        + `include_projects` + `include_volunteers` → **5 credits**
      parameters:
        - name: urn
          in: query
          required: true
          schema:
            type: string
          description: >-
            The LinkedIn Sales Navigator URN (vmid) of the profile. Example:
            ACwAAALW9HABcVdR-UuroyOHoL2iuUob1F_yDRY
          example: ACwAAALW9HABcVdR-UuroyOHoL2iuUob1F_yDRY
        - name: include_certifications
          in: query
          required: false
          schema:
            type: string
            enum:
              - 'true'
              - 'false'
            example: 'false'
          description: Whether to include certifications.
        - name: include_publications
          in: query
          required: false
          schema:
            type: string
            enum:
              - 'true'
              - 'false'
            example: 'false'
          description: Whether to include publications.
        - name: include_honors
          in: query
          required: false
          schema:
            type: string
            enum:
              - 'true'
              - 'false'
            example: 'false'
          description: Whether to include honors and awards.
        - name: include_volunteers
          in: query
          required: false
          schema:
            type: string
            enum:
              - 'true'
              - 'false'
            example: 'false'
          description: Whether to include volunteer experience.
        - name: include_projects
          in: query
          required: false
          schema:
            type: string
            enum:
              - 'true'
              - 'false'
            example: 'false'
          description: Whether to include projects.
        - name: include_patents
          in: query
          required: false
          schema:
            type: string
            enum:
              - 'true'
              - 'false'
            example: 'false'
          description: Whether to include patents.
        - name: include_courses
          in: query
          required: false
          schema:
            type: string
            enum:
              - 'true'
              - 'false'
            example: 'false'
          description: Whether to include courses.
        - name: include_organizations
          in: query
          required: false
          schema:
            type: string
            enum:
              - 'true'
              - 'false'
            example: 'false'
          description: Whether to include organizations.
        - name: include_languages
          in: query
          required: false
          schema:
            type: string
            enum:
              - 'true'
              - 'false'
            example: 'false'
          description: Whether to include languages.
        - name: include_profile_status
          in: query
          required: false
          schema:
            type: string
            enum:
              - 'true'
              - 'false'
            example: 'false'
          description: Whether to include the profile status.
      responses:
        '200':
          description: Extra profile data response
          content:
            application/json:
              schema:
                $ref: 7c525217-3471-41ba-aea8-3d27c079e6e7
        '400':
          description: Invalid URN
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvalidURL'
        '404':
          description: Profile not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProfileNotFound'
        '503':
          description: System error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SystemError'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    InvalidURL:
      type: object
      properties:
        data:
          type: object
          nullable: true
          example: null
        message:
          type: string
          example: 'Bad request: Invalid linkedin_url.'
    ProfileNotFound:
      type: object
      properties:
        data:
          type: object
          nullable: true
          example: null
        message:
          type: string
          example: The url was not found on Linkedin.
    SystemError:
      type: object
      properties:
        data:
          type: object
          nullable: true
          example: null
        message:
          type: string
          example: System error. We will fix it soon!
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-rapidapi-key

````